PETSc version 3.15.5
Fix/Edit manual page

# DMSetRegionDS

Set the PetscDS for a given mesh region, defined by a DMLabel

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetRegionDS(DM dm, DMLabel label, IS fields, PetscDS ds)

Collective on dm

### Input Parameters

| dm | - The DM
| label | - The DMLabel defining the mesh region, or NULL for the entire mesh
| fields | - The IS containing the DM field numbers for the fields in this DS, or NULL for all fields
| prob | - The PetscDS defined on the given cell

Note: If the label has a DS defined, it will be replaced. Otherwise, it will be added to the DM. If DS is replaced, the fields argument is ignored.

### See Also

DMGetRegionDS(), DMSetRegionNumDS(), DMGetDS(), DMGetCellDS()

### Level

advanced

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages